For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
        • GETList
        • POSTCreate
        • GETGet
        • PUTUpsert
        • DELDelete
        • PATCHUpdate
LogoLogo
Sign upLog in
API ReferenceModelObjects

List

GET
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/model/objects
GET
/v1/landscapes/:landscapeId/versions/:versionId/model/objects
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.model.objects.list("landscapeId", "versionId", {});
8}
9main();
1{
2 "modelObjects": [
3 {
4 "childDiagramIds": [
5 "string"
6 ],
7 "childIds": [
8 "string"
9 ],
10 "commit": 1.1,
11 "createdAt": "2024-01-15T09:30:00Z",
12 "createdBy": "user",
13 "createdById": "string",
14 "diagrams": {},
15 "domainId": "string",
16 "external": true,
17 "flows": {},
18 "groupIds": [
19 "string"
20 ],
21 "handleId": "string",
22 "icon": {
23 "catalogTechnologyId": "string",
24 "name": "string",
25 "urlDark": [
26 "/organizations/{organizationId}/dark/{catalogTechnologyId}.png",
27 "/dark/{catalogTechnologyId}.png"
28 ],
29 "urlLight": [
30 "/organizations/{organizationId}/light/{catalogTechnologyId}.png",
31 "/light/{catalogTechnologyId}.png"
32 ],
33 "url": "string"
34 },
35 "id": "string",
36 "labels": {},
37 "landscapeId": "string",
38 "linked": true,
39 "links": {},
40 "name": "string",
41 "parentId": "string",
42 "parentIds": [
43 "string"
44 ],
45 "status": "deprecated",
46 "tagIds": [
47 "string"
48 ],
49 "teamIds": [
50 "string"
51 ],
52 "teamOnlyEditing": true,
53 "technologyIds": [
54 "string"
55 ],
56 "type": "actor",
57 "updatedAt": "2024-01-15T09:30:00Z",
58 "updatedBy": "user",
59 "updatedById": "string",
60 "version": 1.1,
61 "versionId": "string",
62 "caption": "string",
63 "deletedAt": "2024-01-15T09:30:00Z",
64 "deletedBy": "user",
65 "deletedById": "string",
66 "description": "string",
67 "domain": {
68 "id": "string",
69 "name": "string"
70 },
71 "latestEntityId": "string",
72 "tags": {},
73 "technologies": {}
74 }
75 ]
76}
Was this page helpful?
Previous

Create

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired

Query parameters

filterobjectOptional
expandlist of enumsOptional
Allowed values:

Response

OK
modelObjectslist of objects

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error